Recommended update for go1.12

SUSE Recommended Update: Recommended update for go1.12
Announcement ID: SUSE-RU-2020:1140-1
Rating: moderate
References: #1141689
Affected Products:
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1

An update that has one recommended fix can now be installed.

Description:

This update for go1.12 fixes the following issues:

  • Fix for certificate validation in parsing. (bsc#1141689)
  • Fix for "fatal error: PowerRegisterSuspendResumeNotification failure" when running in Windows docker containers. (bsc#1141689)
  • Fixes for an issue on macOS 10.15 Catalina where the non-notarized installer and binaries were being rejected by Gatekeeper. (bsc#1141689)

Patch Instructions:

To install this SUSE Recommended Update use the SUSE recommended installation methods like YaST online_update or "zypper patch".
Alternatively you can run the command listed for your product:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1:
    zypper in -t patch SUSE-SLE-Module-Development-Tools-OBS-15-SP1-2020-1140=1

Package List:

  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (aarch64 ppc64le s390x x86_64):
    • go1.12-1.12.17-1.23.1
    • go1.12-doc-1.12.17-1.23.1
  • SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (x86_64):
    • go1.12-race-1.12.17-1.23.1

References: